Microsoft Korean IME2002

Microsoft Korean IME

Microsoft Korean IME

Microsoft Korean IME 2002

Microsoft Korean IME 2000

Supported Character Sets

Supported Keyboard Type

Language Bar Customization

Soft Keyboard

Text Service Dialog

Supporting More Than One Language

Minimizing the Language Bar


Microsoft Korean IME

Korean IME enables the users to input Korean characters (Hangul) and Chinese characters (Hanja) into an application. Microsoft Korean IME 2002 has a new architecture that supports managing multiple language input tools (such as Japanese IME) and the next generation input tools (such as Handwriting) altogether. These features brought a totally new architecture to Microsoft Korean IME 2002 which operates in two modes. Microsoft Korean IME 2002 operates in the new mode with full features when used with an application that supports this new architecture (such as Microsoft Office XP). But when it is used with a legacy application, it is automatically switched into the old Microsoft Korean IME 2000. Microsoft Korean IME 2002 only works in Windows 98, Windows NT 4.0 or later.


Microsoft Korean IME 2002

Microsoft Korean IME 2002 displays the Language Bar shown below.

  This branding icon indicates that the standard Microsoft Korean IME 2002 is being used. If there are more than one Korean IME installed (such as Old Hangul Input Tool from Korean version of Microsoft Word 2002), a user can click this icon to list up all the available input tools. If there is only one Korean IME installed, this icon will be static.

These icons display the current input mode, either Korean or English. Users can also switch the input mode by clicking these icons or by hitting the Hangul/Eng key (or the right-alt key) in the keyboard.

  This icon is to convert Hangul just typed-in to Hanja. For instance, if a user clicks this icon after typing in a Hangul syllable, IME will bring up a list of candidate Hanja characters. Then the user can select a target Hanja by selecting one from the list with a mouse click or typing a corresponding selection number of the Hanja character with the keyboard. The user can also use the Hanja key or the right-ctrl key in the Keyboard to use this feature.


Microsoft Korean IME 2000

This is the language bar for Microsoft Korean IME 2000, which works with most of the old applications.

     These icons display the currently active input mode, Korean or English mode. Users can switch the input mode by clicking these icons or by hitting the Hangul/Eng key (or the right-alt key) from the keyboard.

  This icon is to convert Hangul just typed-in to Hanja. For instance, if a user clicks this icon after typing in a Hangul syllable, IME will bring up a list of candidate Hanja characters. Then the user can select a target Hanja by selecting one from the list with a mouse click or typing a corresponding selection number of the Hanja character with the keyboard. The user can also use the Hanja key or the right-ctrl key in the Keyboard to use this feature. Positioning the mouse cursor at the Hanja list will show the pronunciation and the meaning to help the user to know which Hanja he/she wants.

  This icon will bring up IMEPad, which can be used for Handwriting input. IMEPad is shown in the picture below. Please refer to the IMEPad help.


Supported Character Sets

Microsoft Korean IME 2002 supports 11,172 Korean syllables and 51 Korean Jamo characters, which are defined in KS X 1005-1(KS C 5700-1995). It also supports 4,888 K0 Hanja and 2,856 K1 Hanja defined in KS X 1005-1(KS C 5700-1995). Euro sign and Registered Trade Mark symbol are also supported as defined in KS X 1001-1998(KS C 5601-1998).


Supported Keyboard Type

Korean IME supports three types of keyboard. Users can switch the keyboard with the 'Properties' dialog.

  • 2 beolsik

    This is the most widely used and is the current Korean standard. This keyboard does not distinguish a leading consonant from a trailing consonant.

  • 3 beolsik – type-390

    3 beolsik keyboard distinguishes a leading consonant from a trailing consonant. There are two kinds of 3 beolsik keyboard, type-390 and type-final. Type-390 is the one created from the type-final 3 beolsik to make it easier for the beginner to use.

  • 3 beolsik – type-final

    Dr. ByungWoo Kong invented this keyboard. It is also called Dr. Kong's keyboard.


Language Bar Customization

Users can customize the Language Bar to show only the items that they use frequently. As shown below, a user can bring up the icon list by pushing the option button. The entire list of the tool icons will be shown including the 'Full/Half width' icon and the soft keyboard icon that are not selected in the example shown below. The selected icons from the list will be included in the language bar for usage. The soft keyboard is supported only in Microsoft Korean IME 2002.


Soft Keyboard

If a user selects the soft keyboard from the option list, it will show up in the language bar as follows:

Clicking the soft keyboard icon will bring up the currently active soft keyboard type – Hangul 2 beolsik, Hangul 3 beolsik or English keyboard. The picture below is the soft keyboard for Hangul 2 beolsik. Users can input by selecting a key with the mouse.


Text Service Dialog

Text Services and Input Languages Dialog Box

Selecting the Settings from the option menu will bring up the dialog box below.

A user can change the language bar setting with this dialog box. The user can also add a new input tool or IME supporting other languages.

  • Add input language dialog box
    •

The Add button will bring up the dialog box below. This dialog box is to add an input tool for other languages.

  • Properties dialog box
    •

Clicking the Properties button will bring up the properties dialog box for the selected input tool. The following dialog box will be displayed for Korean IME.

Keyboard type

Users can select 2 beolsik or 3 beolsik keyboard.

Delete by Jamo unit

Users can delete one Jamo character at a time using Delete key while composing a character when this option is selected.

Enable KS C 5657 Hanja

A user can choose whether to use the extended Hanja for Hanja conversion. If the user enables it, the extended Hanja will be displayed in blue in the candidate Hanja list.

  • Language Bar Settings
    •

Clicking Language Bar button will bring up the Language Bar Settings dialog box shown below for customizing the language bar behavior.

Show the language bar on the desktop

This option should be selected to display the language bar on the desktop.

Show the language bar as transparent when inactive

If this option is selected, the language bar will be transparent when the mouse is outside of the language bar. This feature is only supported in Windows2000.

Show additional language bar icon in the Notification area

This option is used to display an additional icon in the task bar when the language bar is minimized.

Show text labels on the language bar

When this option is set, the language bar will show additional text labels next to the icons as shown below:

Turn off advanced text services

When this option is set, IME 2000 will work in all the applications.


Supporting more than one language

If there are more than one language input tool installed, the language bar will display the list of installed input tools as shown below. The example depicts the case where the Japanese IME 2002 is also installed in addition to Korean IME. Users can freely choose a language to use.


Minimizing the language bar

Users can minimize the language bar using the minimize button on the right as shown below. The language bar will be displayed in the notification area.